Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl
Class XMLDocumentScannerImpl.ContentDispatcher

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.XMLDocumentFragmentScannerImpl.FragmentContentDispatcher
            |
            +--weblogic.apache.xerces.impl.XMLDocumentScannerImpl.ContentDispatcher

protected final class XMLDocumentScannerImpl.ContentDispatcher
extends XMLDocumentFragmentScannerImpl.FragmentContentDispatcher

Dispatcher to handle content scanning.

Constructor Summary
`protected` | `XMLDocumentScannerImpl.ContentDispatcher()`

Method Summary
`protected boolean` | `elementDepthIsZeroHook()` Element depth iz zero.
`protected void` | `endOfFileHook(java.io.EOFException e)` End of file hook.
`protected boolean` | `scanForDoctypeHook()` Scan for DOCTYPE hook.
`protected boolean` | `scanRootElementHook()` Scan for root element hook.

Methods inherited from class weblogic.apache.xerces.impl.XMLDocumentFragmentScannerImpl.FragmentContentDispatcher
`dispatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDocumentScannerImpl.ContentDispatcher

    protected XMLDocumentScannerImpl.ContentDispatcher()

Method Detail

### scanForDoctypeHook

    protected boolean scanForDoctypeHook()
                                  throws java.io.IOException,
                                         XNIException

  Scan for DOCTYPE hook. This method is a hook for subclasses to add code to handle scanning for a the "DOCTYPE" string after the string "

  Overrides:
    scanForDoctypeHook in class XMLDocumentFragmentScannerImpl.FragmentContentDispatcher

### elementDepthIsZeroHook

    protected boolean elementDepthIsZeroHook()
                                      throws java.io.IOException,
                                             XNIException

  Element depth iz zero. This methos is a hook for subclasses to add code to handle when the element depth hits zero. When scanning a document fragment, an element depth of zero is normal. However, when scanning a full XML document, the scanner must handle the trailing miscellanous section of the document after the end of the document's root element.

  Overrides:
    elementDepthIsZeroHook in class XMLDocumentFragmentScannerImpl.FragmentContentDispatcher

### scanRootElementHook

    protected boolean scanRootElementHook()
                                   throws java.io.IOException,
                                          XNIException

  Scan for root element hook. This method is a hook for subclasses to add code that handles scanning for the root element. When scanning a document fragment, there is no "root" element. However, when scanning a full XML document, the scanner must handle the root element specially.

  Overrides:
    scanRootElementHook in class XMLDocumentFragmentScannerImpl.FragmentContentDispatcher

### endOfFileHook

    protected void endOfFileHook(java.io.EOFException e)
                          throws java.io.IOException,
                                 XNIException

  End of file hook. This method is a hook for subclasses to add code that handles the end of file. The end of file in a document fragment is OK if the markup depth is zero. However, when scanning a full XML document, an end of file is always premature.

  Overrides:
    endOfFileHook in class XMLDocumentFragmentScannerImpl.FragmentContentDispatcher

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD